Subject: Re: Problems with ssh when I log into my PC using my corporate domain while working from home
From: Mark Hansen <[email-masked]>
To: [email-masked]
Date: Fri, 24 Apr 2020 06:43:13 -0700
Newsgroups: gmane.os.cygwin
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 4/23/2020 11:57 AM, Norton Allen wrote:

> 
> I also have had to deal with this problem. You should certainly read
> https://cygwin.com/cygwin-ug-net/ntsec.html.
> 
> After much experimenting and consultation with Corinna, we decided the
> best solution for me was:
> 
>    * Create /etc/passwd and /etc/group files
>        o For /etc/passwd, I included just my account, and I actually
>          editted it further to use my preferred username (rather than my
>          domain username) and my correct home directory
>    * Edit /etc/nsswitch.conf with:
>        o passwd: files
>        o group: files
> 
> This is not the generally recommended configuration, but in the
> situation where you cannot reach the domain server, it may be the best
> alternative. You may or may not need to back these changes out when you
> are back at work. I have not had a problem at work, but we are only
> loosely connected to the domain, so YMMV.
> 

This solved the issue for me. After doing what was suggested, above, I killed all the
Cygwin processes (actually, I rebooted the machine) and now when I try to perform
commands like ssh and git (which need to access files in my .ssh directory) they
are able to find the files and therefore are working again.

I realize that when I am able to once again work from my office, I may need to undo
these changes, but I'm quite happy that at least for now, it's working again.

Thanks to all who helped with this!
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple